## org.h2.test.jdbcx
Class SimpleXid

    java.lang.Object
      org.h2.test.jdbcx.SimpleXid

All Implemented Interfaces:
  javax.transaction.xa.Xid

    public class SimpleXid

extends java.lang.Object
implements javax.transaction.xa.Xid

A simple Xid implementation.

Field Summary

Fields inherited from interface javax.transaction.xa.Xid
`MAXBQUALSIZE, MAXGTRIDSIZE`

Method Summary
`static SimpleXid` `createRandom()` Create a new random xid.
`boolean` `equals(java.lang.Object other)`
`byte[]` `getBranchQualifier()`
`int` `getFormatId()`
`byte[]` `getGlobalTransactionId()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### createRandom

    public static SimpleXid createRandom()

  Create a new random xid.

  Returns:
    the new object

### getBranchQualifier

    public byte[] getBranchQualifier()

  Specified by:
    `getBranchQualifier` in interface `javax.transaction.xa.Xid`

### getFormatId

    public int getFormatId()

  Specified by:
    `getFormatId` in interface `javax.transaction.xa.Xid`

### getGlobalTransactionId

    public byte[] getGlobalTransactionId()

  Specified by:
    `getGlobalTransactionId` in interface `javax.transaction.xa.Xid`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`